Loading...
Searching...
No Matches
EMF::EMRCREATEPALETTE Class Reference

EMF Palette. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRCREATEPALETTE:

## Public Member Functions

| EMRCREATEPALETTE (PALETTE *palette, HGDIOBJ handle)
| EMRCREATEPALETTE (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Palette.

Create a new palette.

## Constructor & Destructor Documentation

## EMRCREATEPALETTE() [1/2]

EMRCREATEPALETTE::EMRCREATEPALETTE | ( | PALETTE * | palette,
|  | HGDIOBJ | handle )

Parameters

  palette | an instance of a PALETTE object.
  handle | the PALETTE object's handle.

## EMRCREATEPALETTE() [2/2]

EMF::EMRCREATEPALETTE::EMRCREATEPALETTE | ( | DATASTREAM & | ds | ) |

Construct a CreatePalette record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMRCREATEPALETTE::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRCREATEPALETTE::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRCREATEPALETTE::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following files:

- libemf.h
- libemf.cpp